Update Edge Cluster

Update Edge Cluster
Expand or shrink an NSX Edge Cluster

Expand or shrink an NSX Edge Cluster

Request
URI
PATCH
https://{api_host}/v1/edge-clusters/{id}
COPY
Path Parameters
string
id
Required  

Edge Cluster ID


Request Body
EdgeClusterUpdateSpec of type(s) application/json
Required  

Show optional properties

{
    "operation": "One among: EXPANSION, SHRINKAGE"
}
{
    "edgeClusterExpansionSpec": {
        "edgeNodeRootPassword": "string",
        "edgeNodeAdminPassword": "string",
        "edgeNodeAuditPassword": "string",
        "skipTepRoutabilityCheck": false,
        "edgeNodeSpecs": [
            {
                "edgeNodeName": "string",
                "managementIP": "string",
                "managementGateway": "string",
                "vmManagementPortgroupVlan": 0,
                "vmManagementPortgroupName": "string",
                "edgeTepGateway": "string",
                "edgeTep1IP": "string",
                "edgeTep2IP": "string",
                "edgeTepIpAddressPool": {
                    "name": "string",
                    "nsxId": "string"
                },
                "edgeTepVlan": 0,
                "clusterId": "string",
                "interRackCluster": false,
                "uplinkNetwork": [
                    {
                        "uplinkVlan": 0,
                        "uplinkInterfaceIP": "string",
                        "peerIP": "string",
                        "asnPeer": 0,
                        "bgpPeerPassword": "string",
                        "bgpPeers": [
                            {
                                "ip": "string",
                                "asn": 0,
                                "password": "string"
                            }
                        ]
                    }
                ],
                "firstNsxVdsUplink": "One among: uplink1, uplink2, uplink3, uplink4, uplink5, uplink6, uplink7, uplink8",
                "secondNsxVdsUplink": "One among: uplink1, uplink2, uplink3, uplink4, uplink5, uplink6, uplink7, uplink8"
            }
        ],
        "newIpAddressPoolSpecs": [
            {
                "name": "string",
                "description": "string",
                "ignoreUnavailableNsxtCluster": false,
                "subnets": [
                    {
                        "ipAddressPoolRanges": [
                            {
                                "start": "string",
                                "end": "string"
                            }
                        ],
                        "cidr": "string",
                        "gateway": "string"
                    }
                ]
            }
        ],
        "additionalTier1Names": [
            "string"
        ],
        "tier1Unhosted": false
    },
    "edgeClusterShrinkageSpec": {
        "edgeNodeIds": [
            "string"
        ]
    },
    "operation": "One among: EXPANSION, SHRINKAGE"
}
object
edgeClusterExpansionSpec
Optional

This specification contains the parameters required to expand a NSX edge cluster.

object
edgeClusterShrinkageSpec
Optional

This specification contains the parameters required to shrink a NSX edge cluster.

string As (EXPANSION|SHRINKAGE)
operation
Required  
Constraints: minLength: 1

Edge cluster operation Type.

Responses
202

Accepted

Returns Task of type(s) application/json
{
    "id": "string",
    "name": "string",
    "localizableDescriptionPack": {
        "component": "string",
        "messageKey": "string",
        "arguments": [
            "string"
        ],
        "message": "string",
        "bundle": "string"
    },
    "type": "Sample values: HOST_COMMISSION, HOST_DECOMMISSION",
    "status": "One among: PENDING, Pending, IN_PROGRESS, In Progress, SUCCESSFUL, Successful, FAILED, Failed, CANCELLED, Cancelled, COMPLETED_WITH_WARNING, SKIPPED, QUEUED, TIMED_OUT, Queued, Timed Out",
    "creationTimestamp": "string",
    "completionTimestamp": "string",
    "subTasks": [
        {
            "name": "string",
            "type": "string",
            "description": "string",
            "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED, SKIPPED, NOT_APPLICABLE",
            "creationTimestamp": "string",
            "completionTimestamp": "string",
            "stages": [
                {
                    "name": "string",
                    "type": "string",
                    "description": "string",
                    "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED",
                    "creationTimestamp": "string",
                    "completionTimestamp": "string",
                    "errors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "notifications": [
                                        {
                                            "severity": "string",
                                            "message": "string",
                                            "remediations": [
                                                {
                                                    "message": "string",
                                                    "link": "string"
                                                }
                                            ],
                                            "impactMessage": "string"
                                        }
                                    ],
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        {
                                            "errorCode": "string",
                                            "errorType": "string",
                                            "arguments": [
                                                "string"
                                            ],
                                            "context": {
                                                "context": "string"
                                            },
                                            "notifications": [
                                                {
                                                    "severity": "string",
                                                    "message": "string",
                                                    "remediations": [
                                                        {
                                                            "message": "string",
                                                            "link": "string"
                                                        }
                                                    ],
                                                    "impactMessage": "string"
                                                }
                                            ],
                                            "message": "string",
                                            "remediationMessage": "string",
                                            "causes": [
                                                {
                                                    "type": "string",
                                                    "message": "string"
                                                }
                                            ],
                                            "nestedErrors": [
                                                "Error Object"
                                            ],
                                            "referenceToken": "string",
                                            "label": "string",
                                            "remediationUrl": "string"
                                        }
                                    ],
                                    "referenceToken": "string",
                                    "label": "string",
                                    "remediationUrl": "string"
                                }
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ]
                }
            ],
            "errors": [
                {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "notifications": [
                        {
                            "severity": "string",
                            "message": "string",
                            "remediations": [
                                {
                                    "message": "string",
                                    "link": "string"
                                }
                            ],
                            "impactMessage": "string"
                        }
                    ],
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        "Error Object"
                    ],
                    "referenceToken": "string",
                    "label": "string",
                    "remediationUrl": "string"
                }
            ],
            "resources": [
                {
                    "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
                    "fqdn": "sfo-vc01.rainpole.io",
                    "type": "One among: SDDC_MANAGER, PSC, VCENTER, NSXT_MANAGER, NSX_ALB, ESXI, HCX_MANAGER, VSP",
                    "name": "string",
                    "sans": [
                        "sfo-vc01.rainpole.io"
                    ]
                }
            ],
            "subTasks": [
                {
                    "name": "string",
                    "type": "string",
                    "description": "string",
                    "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED, SKIPPED, NOT_APPLICABLE",
                    "creationTimestamp": "string",
                    "completionTimestamp": "string",
                    "stages": [
                        {
                            "name": "string",
                            "type": "string",
                            "description": "string",
                            "status": "One among: PENDING, IN_PROGRESS, SUCCESSFUL, FAILED",
                            "creationTimestamp": "string",
                            "completionTimestamp": "string",
                            "errors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "notifications": [
                                        {
                                            "severity": "string",
                                            "message": "string",
                                            "remediations": [
                                                {
                                                    "message": "string",
                                                    "link": "string"
                                                }
                                            ],
                                            "impactMessage": "string"
                                        }
                                    ],
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        "Error Object"
                                    ],
                                    "referenceToken": "string",
                                    "label": "string",
                                    "remediationUrl": "string"
                                }
                            ]
                        }
                    ],
                    "errors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                "Error Object"
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ],
                    "resources": [
                        {
                            "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
                            "fqdn": "sfo-vc01.rainpole.io",
                            "type": "One among: SDDC_MANAGER, PSC, VCENTER, NSXT_MANAGER, NSX_ALB, ESXI, HCX_MANAGER, VSP",
                            "name": "string",
                            "sans": [
                                "sfo-vc01.rainpole.io"
                            ]
                        }
                    ],
                    "subTasks": [
                        "SubTask Object"
                    ],
                    "documentationLink": {
                        "url": "string",
                        "label": "string"
                    }
                }
            ],
            "documentationLink": {
                "url": "string",
                "label": "string"
            }
        }
    ],
    "errors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "resources": [
        {
            "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
            "fqdn": "sfo-vc01.rainpole.io",
            "type": "One among: SDDC_MANAGER, PSC, VCENTER, NSXT_MANAGER, NSX_ALB, ESXI, HCX_MANAGER, VSP",
            "name": "string",
            "sans": [
                "sfo-vc01.rainpole.io"
            ]
        }
    ],
    "resolutionStatus": "Can have only one of the two values: RESOLVED or UNRESOLVED",
    "isCancellable": false,
    "isRetryable": false
}
string
id
Required   Read-Only  
Constraints: minLength: 1

Task ID

string
name
Required   Read-Only  
Constraints: minLength: 1

Task name

object
localizableDescriptionPack
Read-Only  

A message pack representing a localizable message and suitable for machine processing. Contains a message key unique in the scope of the specified component, as well as the arguments needed to generate the localized message.

string
type
Read-Only  

Operation that is represented by the Task in machine readable format. The value is controlled by the owners/producers of the Task. The convention is _

string
status
Required   Read-Only  
Constraints: minLength: 1

Task status

string
creationTimestamp
Required   Read-Only  

Task creation timestamp

string
completionTimestamp
Read-Only  

Task completion timestamp

array of object
subTasks
Read-Only  

List of sub-tasks of the task

array of object
errors
Optional

List of errors in case of a failure

array of object
resources
Read-Only  

List of resources associated with task

string
resolutionStatus
Read-Only  

Resolution state

boolean
isCancellable
Read-Only  

Represents task can be cancellable or not.

boolean
isRetryable
Read-Only  

Indicates whether a task is eligible for retry or not.


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


501

Not Implemented

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"operation":"string"}'